Bug 1199288 - [abrt] network-manager-applet: add_menu_item(): nm-applet killed by SIGSEGV
Summary: [abrt] network-manager-applet: add_menu_item(): nm-applet killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:81df5e01caee2815914380fd7db...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-05 20:40 UTC by Ionut Radu
Modified: 2015-05-17 06:40 UTC (History)
10 users (show)

Fixed In Version: network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-09 15:39:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (39.45 KB, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: cgroup (190 bytes, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: core_backtrace (14.53 KB, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: dso_list (9.29 KB, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: environ (1.46 KB, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: exploitable (82 bytes, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: maps (49.16 KB, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: open_fds (1.32 KB, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details
File: var_log_messages (167 bytes, text/plain)
2015-03-05 20:40 UTC, Ionut Radu
no flags Details

Description Ionut Radu 2015-03-05 20:40:01 UTC
Description of problem:

Trying to start Mobile BroadBand connection

Version-Release number of selected component:
network-manager-applet-0.9.9.0-15.git20140424.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        nm-applet
crash_function: add_menu_item
executable:     /usr/bin/nm-applet
kernel:         3.18.7-200.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 add_menu_item at applet-device-broadband.c:756
 #1 add_device_items at applet.c:1611
 #2 nma_menu_add_devices at applet.c:1727
 #3 nma_menu_show_cb at applet.c:1974
 #8 gtk_widget_show at gtkwidget.c:4853
 #9 gtk_menu_popup_for_device at gtkmenu.c:1722
 #10 gtk_menu_popup at gtkmenu.c:1802
 #11 status_icon_activate_cb at applet.c:3467
 #12 _g_closure_invoke_va at gclosure.c:831
 #15 emit_activate_signal at deprecated/gtkstatusicon.c:1292

Comment 1 Ionut Radu 2015-03-05 20:40:05 UTC
Created attachment 998545 [details]
File: backtrace

Comment 2 Ionut Radu 2015-03-05 20:40:06 UTC
Created attachment 998546 [details]
File: cgroup

Comment 3 Ionut Radu 2015-03-05 20:40:07 UTC
Created attachment 998547 [details]
File: core_backtrace

Comment 4 Ionut Radu 2015-03-05 20:40:09 UTC
Created attachment 998548 [details]
File: dso_list

Comment 5 Ionut Radu 2015-03-05 20:40:10 UTC
Created attachment 998549 [details]
File: environ

Comment 6 Ionut Radu 2015-03-05 20:40:11 UTC
Created attachment 998550 [details]
File: exploitable

Comment 7 Ionut Radu 2015-03-05 20:40:12 UTC
Created attachment 998551 [details]
File: limits

Comment 8 Ionut Radu 2015-03-05 20:40:14 UTC
Created attachment 998552 [details]
File: maps

Comment 9 Ionut Radu 2015-03-05 20:40:15 UTC
Created attachment 998553 [details]
File: open_fds

Comment 10 Ionut Radu 2015-03-05 20:40:16 UTC
Created attachment 998554 [details]
File: proc_pid_status

Comment 11 Ionut Radu 2015-03-05 20:40:18 UTC
Created attachment 998555 [details]
File: var_log_messages

Comment 12 blachniom 2015-03-06 07:03:02 UTC
Another user experienced a similar problem:

Clicked on the applet. It disappeared. 
It was in a state of trying to get an IP address from DHCP on a LAN connection not providing addresses via DHCP. So it took some time "circling" the icon.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        nm-applet
crash_function: add_menu_item
executable:     /usr/bin/nm-applet
kernel:         3.18.7-200.fc21.x86_64
package:        network-manager-applet-0.9.10.1-2.fc21
reason:         nm-applet killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Dan Aloni 2015-03-27 09:42:12 UTC
Another user experienced a similar problem:

Happened when I clicked the nm-applet icon.

reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        nm-applet
crash_function: add_menu_item
executable:     /usr/bin/nm-applet
kernel:         3.19.1-201.fc21.x86_64
package:        network-manager-applet-0.9.10.2-1.fc21
reason:         nm-applet killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Jirka Klimes 2015-04-02 12:19:37 UTC
It is related to bug 1205316. I have added a fix to the upstream branch jk/applet-abort-rh1205316.

Comment 15 Lubomir Rintel 2015-04-02 13:41:38 UTC
Looks good to me.

Comment 16 Jirka Klimes 2015-04-07 07:59:01 UTC
Pushed to upstream master:
98dc7a7 applet: do not crash when ModemManager is not available (rh #1199288)
ef2d9f5 applet: do not crash when getting icon for unavailable modem (rh #1205316)

and also to nma-1-0 and nma-0-9-10.

Comment 17 Ionut Radu 2015-04-09 15:39:36 UTC
It's fixed. Thanks.

Comment 18 Fedora Update System 2015-05-11 08:18:46 UTC
network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21

Comment 19 Fedora Update System 2015-05-17 06:40:18 UTC
network-manager-applet-0.9.10.3-1.git20150511.36c8684.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.